
import random
import pika

def random_channel_connection(exchange_name):
    # Create a connection to the RabbitMQ server
    connection = pika.BlockingConnection(pika.ConnectionParameters('localhost'))
    # Create a channel
    channel = connection.channel()
    # Declare an exchange
    channel.exchange_declare(exchange=exchange_name, exchange_type='direct')
    # Create a random queue
    queue_name = channel.queue_declare(exclusive=True).method.queue
    # Bind the queue to the exchange
    channel.queue_bind(exchange=exchange_name, queue=queue_name, routing_key='key')
    # Return the channel and connection objects
    return channel, connection



